function [A,M,b]=AssembHelmoltz2D(g,N,T,P);
%% Assemblierung der Steifigkeitsmatrix A 
%% der Massmatrix M und des Lastvektors b 
% g -> Dirichlet-RB

n=size(T,1);
m=size(N,1);
A=sparse(m,m);
M=sparse(m,m);
bn=zeros(m,1);

for i=1:n,
  % Assemblierung, die Materiale-Konstanten nicht 
  % vergessen
  Ae=Elementsteifigkeitsmatrix( .. );
  Me= .. Elementmassenmatrix( .. );
  % die Raender
  bn(T(i,1))=bn(T(i,1)) | T(i,4) | T(i,6);    
  bn(T(i,2))=bn(T(i,2)) | T(i,4) | T(i,5);
  bn(T(i,3))=bn(T(i,3)) | T(i,5) | T(i,6);
  A( .. , .. )=A( .. , .. )+Ae;
  M( .. , .. )=M( .. , .. )+Me;
end;

% Beruecksichtigung von Dirichlet-RB
